package movies

import (
	"net/http"

	"github.com/odwrtw/polochon/lib"
	"github.com/odwrtw/polochon/modules/mock"

	"gitlab.quimbo.fr/odwrtw/canape-sql/web"
	"gitlab.quimbo.fr/odwrtw/papi"
)

func PolochonMovies(env *web.Env, w http.ResponseWriter, r *http.Request) error {

	//TODO use user params
	URL := "http://polochon.quimbo.fr"
	token := "ShaeGieheiPhue8ohM5t"

	client, err := papi.New(URL, token)
	if err != nil {
		return err
	}
	pmovies, err := client.MoviesByID()
	if err != nil {
		return err
	}
	movies := []*Movie{}

	//TODO use configurable detailer
	// detailer, err := tmdb.New(&tmdb.Params{"57be344f84917b3f32c68a678f1482eb"})
	detailer, _ := mock.NewDetailer(nil)
	if err != nil {
		return err
	}

	for _, pm := range pmovies {
		m := New(pm.ImdbID)
		m.Detailers = []polochon.Detailer{detailer}
		err := m.GetDetails(env.Database, env.Log)
		if err != nil {
			env.Log.Error(err)
		}
		movies = append(movies, m)
	}

	env.Log.Info(movies)

	return nil
}
